events.listen('jei.hide.items', function (event) {
    var hide = [
        'immersiveengineering:pickaxe_steel',
        'mekanism:copper_ore',
        'immersiveengineering:ore_copper',
        'mekanism:tin_ore',
        'immersiveengineering:ore_silver',
        'immersiveengineering:ore_nickel',
        'mekanism:lead_ore',
        'immersiveengineering:ore_lead',
        'immersiveengineering:ore_uranium',
        'zycraft:aluminium_ore',
        'create:copper_ore',
        /appliedenergistics2:facade/,
        'titanium:gold_gear',
        'titanium:iron_gear',
        'titanium:diamond_gear',
        'easy_villagers:farmer',
        'easy_villagers:converter',
        'easy_villagers:iron_farm',
        'easy_villagers:auto_trader',
        'easy_villagers:incubator',
        'tinyredstone:silicon',
        'tinyredstone:silicon_compound',
        'integrateddynamics:mechanical_squeezer'
    ]
    var ieHide = [
        ['silver', 'plate', 'dust', 'storage', 'nugget', 'ingot'],
        ['lead', 'plate', 'dust', 'storage', 'nugget', 'ingot'],
        ['copper','plate', 'dust', 'storage', 'nugget', 'ingot'],
        ['nickel','plate', 'dust', 'storage', 'nugget', 'ingot'],
        ['constantan','plate', 'dust', 'storage', 'nugget', 'ingot'],
        ['electrum', 'plate', 'dust', 'storage', 'nugget', 'ingot'],
        ['uranium', 'dust', 'nugget', 'ingot'],
        ['steel', 'nugget', 'ingot', 'storage', 'dust'],
        ['iron', 'dust', 'plate'],
        ['gold', 'dust', 'plate'],
        ['sulfur', 'dust']
    ]

    var mekHide = [
        ['copper', 'ingot', 'nugget', 'dust', 'block'],
        ['tin', 'ingot', 'nugget', 'dust', 'block'],
        ['lead', 'ingot', 'nugget', 'dust', 'block'],
        ['bronze', 'ingot', 'dust', 'nugget', 'block'],
        ['lapis_lazuli', 'dust'],
        ['quartz', 'dust'],
        ['iron', 'dust'],
        ['gold', 'dust'],
        ['emerald', 'dust'],
        ['diamond', 'dust'],
        ['sulfur', 'dust']
    ]

    var eidolonHide = [
        ['lead', 'nugget', 'dust', 'ore', 'block']
    ]

    var createHide = [
        'create:copper_nugget',
        'create:copper_sheet',
        'create:copper_ingot',
        'createaddition:diamond_grit',
        'createaddition:copper_wire',
        'createaddition:copper_rod',
        'createaddition:iron_rod',
        'createaddition:gold_rod'
    ]

    var tinkerHide = [
        'tconstruct:copper_block',
        'tconstruct:copper_ingot',
        'tconstruct:copper_nugget',
        'tconstruct:copper_ore'
    ]

    for (var i in ieHide){
        for (var j in ieHide[i]){
            event.hide('immersiveengineering:' + ieHide[i][j] + '_' + ieHide[i][0])
        }
    }

    for (var i in mekHide){
        for (var j in mekHide[i]){
            event.hide('mekanism:' + mekHide[i][j] + '_' + mekHide[i][0])
        }
    }

    for (var i in eidolonHide){
        for (var j in eidolonHide[i]){
            event.hide('eidolon:' + eidolonHide[i][0] + '_' + eidolonHide[i][j])
        }
    }

    for(var i in createHide){
        hide.push(createHide[i])
    }

    for(var i in tinkerHide){
        hide.push(tinkerHide[i])
    }


    hide.forEach(element =>{event.hide(element)});
})

events.listen('jei.add.items', function (event) {
    event.add(Item.of('appliedenergistics2:facade', {item:"minecraft:stone"}))
})